Bug 132436 - dbus init scripts do not honor stop or restart commands
dbus init scripts do not honor stop or restart commands
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
Blocks: FC3Target
  Show dependency treegraph
Reported: 2004-09-13 09:48 EDT by Steve Grubb
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-16 16:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-09-13 09:48:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)

Description of problem:
dbus init scripts do not honor stop or restart commands. For example,
suppose I go into the /etc/dbus-1/system.conf file and make changes, I
want them to take effect. So, its normal to do a:

/etc/rc.d/init.d/messagebus restart

command. However this fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /etc/rc.d/init.d/messagebus restart

Actual Results:  
[root@buildhost root]# /etc/rc.d/init.d/messagebus status
dbus-daemon-1 (pid 2448) is running...
[root@buildhost root]# /etc/rc.d/init.d/messagebus restart
Stopping system message bus:                               [FAILED]
Starting system message bus: Failed to start message bus: The pid file
"/var/run/dbus/pid" exists, if the message bus is not running, remove
this file
[root@buildhost root]# /etc/rc.d/init.d/messagebus stop
Stopping system message bus:                               [FAILED]
[root@buildhost root]# /etc/rc.d/init.d/messagebus status
dbus-daemon-1 (pid 2448) is running...

Expected Results:  messagebus restarted successfully.

Additional info:
Comment 1 John (J5) Palmieri 2004-09-13 11:10:52 EDT
Works for me.  Did you perhaps install dbus from source at some point
or are using a modified dbus spec?  Please attach your
/etc/dbus-1/system.conf file to this bug report.
Comment 2 Steve Grubb 2004-09-13 13:59:08 EDT
OK. I found the problem. It turns out that during the configure
script, it makes some decisions based on /etc/redhat-release being on
a system. The build system did not have that file installed (since it
wasn't required) and that's why the init scripts were not functioning

So, the solution is to add:

BuildRequires: /etc/redhat-release

And that makes sure all decisions are correct.
Comment 3 John (J5) Palmieri 2004-09-16 16:31:47 EDT
Fixed in fc3-head
Comment 4 John (J5) Palmieri 2004-09-16 17:35:48 EDT
For some reason our build enviornments do not like redhat-release as
BuildRequires.  Adding a prebuilt init script until this is resolved.

Note You need to log in before you can comment on or make changes to this bug.